# Ziion Tools


## Description

Build your own EVM tools for Ubuntu.

## [Progress](https://gitlab.com/shopglue/ziion-tools/-/issues/1) 👷‍♂️

## Initialization

```bash
git clone https://gitlab.com/shopglue/ziion-tools.git
cd ziion-tools/ansible
ansible-galaxy install -r roles/requirements.yml
```

## Requirements

- Ansible
- Ubuntu _20.04_ Desktop **target**

## Role Variables

`File: plays/evm-tools.yml`
```yml
  vars:    
    ziionos_user: ziion
    bash_line: "export PATH=$PATH:$HOME/.local/bin"   # pipx support for user install
    bash_line_state: present
    docker_users: ziion
```

## Galaxy Dependencies

```yml
- community.docker
- src: geerlingguy.docker
  name: geerlingguy.docker
```

## Example Playbook

```yml
---
- hosts: vagrant
  vars:
    ziionos_user: ziion
    bash_line: "export PATH=$PATH:$HOME/.local/bin"   # pipx support for user install
    bash_line_state: present
    docker_users: ziion
  become: true
  roles:
    - common
    - geerlingguy.docker
    - truffle
    - sol2uml    #BROKEN a little on x86 and completely on ARM https://gitlab.com/shopglue/ziion-tools/-/iss$
    - solc
    - solc-select
    - slither
    - brownie
    - manticore
    - mythril
    - ganache
    - remix
    - geth
```

## Known Issues

- Existing Halborn installation and build process is still unknown. So setting up an ubuntu host to run the playbook on isn't documented, and is up to you!
- [sol2uml broken dependency on amd64 and completely broken on arm64](https://gitlab.com/shopglue/ziion-tools/-/issues/7)
- [manticore missing arm64 arch](https://gitlab.com/shopglue/ziion-tools/-/issues/5)
- [mythril missing arm64 arch](https://gitlab.com/shopglue/ziion-tools/-/issues/5)
- [ganache missing arm64 arch pre `7.1.0`](https://gitlab.com/shopglue/ziion-tools/-/issues/6)
- [RemixIDE investigating arm64](https://gitlab.com/shopglue/ziion-tools/-/issues/2)
- Desktop integration of RemixIDE is absent.

## [CONTRIBUTORS](https://gitlab.com/shopglue/ziion-tools/-/blob/main/CONTRIBUTING.md)

Thanks to the people that crowdfunded the EVM tools role for Ziion OS.

>http://xxxxxxxxxxxx.onion/apps/xxxxxxx/crowdfund
>
>This is an Onion address on the private web.  Use TOR to access.

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
| [<img src="https://avatars.githubusercontent.com/u/5644977?v=3" width="100px;"/><br /><sub>Bryan Black</sub>](https://github.com/reelsense/)<br />[📖](https://github.com/stationgroup/ansible-experiments/commits?author=reelsense)  | 
| :---: |

<!-- ALL-CONTRIBUTORS-LIST:END -->

## License

This project is under the MIT License.
